### Function

# WPEPlatform ScreenSyncObserverSyncFunc

#### Declaration

    void
    (* WPEScreenSyncObserverSyncFunc) (
      WPEScreenSyncObserver* observer,
      gpointer user_data
    )

#### Description [src]

Function passed to `wpe_screen_sync_observer_add_callback()` to be called on every `WPEScreen` sync.

#### Parameters

`observer`

  Type: `WPEScreenSyncObserver`

  A `WPEScreenSyncObserver`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.